Skip to main content
GET
Get Quoted Posts

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Scopes

tweet.read

View all Posts you can see, including those from protected accounts.

users.read

View any account you can see, including protected accounts.

Path Parameters

id
string
required

A single Post ID. Unique identifier of this Tweet. This is returned as a string in order to avoid complications with languages and tools that cannot handle large integers.

Pattern: ^[0-9]{1,19}$
Example:

"1346889436626259968"

Query Parameters

max_results
integer<int32>
default:10

The maximum number of results to be returned.

Required range: 10 <= x <= 100
pagination_token
string

This parameter is used to get a specified 'page' of results. A base36 pagination token.

Minimum string length: 1
exclude
enum<string>[]

The set of entities to exclude (e.g. 'replies' or 'retweets').

Minimum array length: 1
Available options:
replies,
retweets
Example:
tweet.fields
enum<string>[]

A comma separated list of Tweet fields to display. The fields available for a Tweet object.

Minimum array length: 1
Available options:
article,
attachments,
author_id,
card_uri,
community_id,
context_annotations,
conversation_id,
created_at,
display_text_range,
edit_controls,
edit_history_tweet_ids,
entities,
geo,
id,
in_reply_to_user_id,
lang,
media_metadata,
non_public_metrics,
note_tweet,
organic_metrics,
possibly_sensitive,
promoted_metrics,
public_metrics,
referenced_tweets,
reply_settings,
scopes,
source,
suggested_source_links,
suggested_source_links_with_counts,
text,
withheld
Example:
expansions
enum<string>[]

A comma separated list of fields to expand. The list of fields you can expand for a Tweet object. If the field has an ID, it can be expanded into a full object.

Minimum array length: 1
Available options:
article.cover_media,
article.media_entities,
attachments.media_keys,
attachments.media_source_tweet,
attachments.poll_ids,
author_id,
edit_history_tweet_ids,
entities.mentions.username,
geo.place_id,
in_reply_to_user_id,
entities.note.mentions.username,
referenced_tweets.id,
referenced_tweets.id.attachments.media_keys,
referenced_tweets.id.author_id
Example:
media.fields
enum<string>[]

A comma separated list of Media fields to display. The fields available for a Media object.

Minimum array length: 1
Available options:
alt_text,
duration_ms,
height,
media_key,
non_public_metrics,
organic_metrics,
preview_image_url,
promoted_metrics,
public_metrics,
type,
url,
variants,
width
Example:
poll.fields
enum<string>[]

A comma separated list of Poll fields to display. The fields available for a Poll object.

Minimum array length: 1
Available options:
duration_minutes,
end_datetime,
id,
options,
voting_status
Example:
user.fields
enum<string>[]

A comma separated list of User fields to display. The fields available for a User object.

Minimum array length: 1
Available options:
affiliation,
confirmed_email,
connection_status,
created_at,
description,
entities,
id,
is_identity_verified,
location,
most_recent_tweet_id,
name,
parody,
pinned_tweet_id,
profile_banner_url,
profile_image_url,
protected,
public_metrics,
receives_your_dm,
subscription,
subscription_type,
url,
username,
verified,
verified_followers_count,
verified_type,
withheld
Example:
place.fields
enum<string>[]

A comma separated list of Place fields to display. The fields available for a Place object.

Minimum array length: 1
Available options:
contained_within,
country,
country_code,
full_name,
geo,
id,
name,
place_type
Example:

Response

The request has succeeded.

data
object[]
Minimum array length: 1
errors
object[]
Minimum array length: 1

An HTTP Problem Details object, as defined in IETF RFC 7807 (https://tools.ietf.org/html/rfc7807).

includes
object
meta
object